{% set page = "users" %}
{% set cardHasHeader = true %}
{% set hasSidebar = true %}

{% extends "../layout/admin.njk" %}

{% block cardHeader %}
    <div class="card-header-title">
        <form method="GET" action="{{ url('admin/users') }}" style="width: 100%;">
            <div class="field has-addons">
                <p class="control">
                    <a class="button is-static">
                        Search by username
                    </a>
                </p>
                <div class="control is-expanded">
                    <input class="input" name="username" type="text" placeholder="Find a user" value="{{ username or '' }}">
                </div>
                <div class="control">
                    <button type="submit" class="button is-info">
                        <span class="icon is-small">
                            <i class="fas fa-search"></i>
                        </span>
                        <span>Search</span>
                    </button>
                </div>
                <div class="control">
                    <a class="button is-danger" href="{{ url('admin/users') }}">
                        <span class="icon is-small">
                            <i class="fas fa-trash-alt"></i>
                        </span>
                        <span>Reset</span>
                    </a>
                </div>
            </div>
        </form>
    </div>
{% endblock %}

{% block cardContent %}
    {% if error %}
        <p class="has-text-danger">{{ error }}</p>
        <hr>
    {% endif %}

    {% if models.length > 0 %}
        <table class="table is-fullwidth is-striped is-hoverable">
            <thead>
                <tr>
                    <th>Username</th>
                    <th>Email</th>
                    <th>Role</th>
                </tr>
            </thead>
            <tbody>
                {% for user in models %}
                    <tr>
                        <td>
                            <a href="{{ url('admin/users/' + user._id) }}">{{ user.username }}</a>
                        </td>
                        <td>{{ user.email }}</td>
                        <td>{{ user.role }}</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    {% else %}
        <p class="has-text-centered has-text-danger">
            No users found... Maybe try something else?
        </p>
    {% endif %}

    <hr>

    <div class="columns">

        <div class="column">
            <div class="buttons has-addons is-centered">
                {% if pageNum > 1 %}
                    <a class="button is-info is-light" href="{{ url('manage/areas', { page: pageNum - 1 } ) }}">
                        <span>&lt;</span>
                    </a>
                {% endif %}
                <button class="button is-info">
                    <span>Page <b>{{ pageNum }}</b> / <b>{{ pages }}</b></span>
                </button>
                {% if pageNum < pages %}
                    <a class="button is-info is-light" href="{{ url('manage/areas', { page: pageNum + 1 } ) }}">
                        <span>&gt;</span>
                    </a>
                {% endif %}
            </div>
        </div>

        <div class="column has-text-centered">
            <a class="button is-success" href="{{ url('admin/users/new') }}">
                <span class="icon is-small">
                    <i class="fas fa-plus"></i>
                </span>
                <span>Create User</span>
            </a>
        </div>

    </div>
{% endblock %}
